Skip to main content
GET
/
cms
/
pages
/
2026-03
/
landing-pages
Get all landing pages
curl --request GET \
  --url https://api.hubapi.com/cms/pages/2026-03/landing-pages \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "abTestId": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z",
      "archivedInDashboard": true,
      "attachedStylesheets": [
        {}
      ],
      "authorName": "<string>",
      "campaign": "<string>",
      "categoryId": 123,
      "contentGroupId": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "createdById": "<string>",
      "currentlyPublished": true,
      "domain": "<string>",
      "dynamicPageDataSourceId": "<string>",
      "dynamicPageDataSourceType": 123,
      "dynamicPageHubDbTableId": "<string>",
      "enableDomainStylesheets": true,
      "enableLayoutStylesheets": true,
      "featuredImage": "<string>",
      "featuredImageAltText": "<string>",
      "folderId": "<string>",
      "footerHtml": "<string>",
      "headHtml": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "includeDefaultCustomCss": true,
      "layoutSections": {},
      "linkRelCanonicalUrl": "<string>",
      "mabExperimentId": "<string>",
      "metaDescription": "<string>",
      "name": "<string>",
      "pageExpiryDate": 123,
      "pageExpiryEnabled": true,
      "pageExpiryRedirectId": 123,
      "pageExpiryRedirectUrl": "<string>",
      "pageRedirected": true,
      "password": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publishDate": "2023-11-07T05:31:56Z",
      "publishImmediately": true,
      "slug": "<string>",
      "state": "<string>",
      "subcategory": "<string>",
      "templatePath": "<string>",
      "themeSettingsValues": {},
      "translatedFromId": "<string>",
      "translations": {},
      "updated": "2023-11-07T05:31:56Z",
      "updatedById": "<string>",
      "url": "<string>",
      "useFeaturedImage": true,
      "widgetContainers": {},
      "widgets": {}
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The cursor token value to get the next set of results. You can get this from the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Specifies whether to return deleted Landing Pages. Defaults to false.

createdAfter
string<date-time>

Filter landing pages created after a specific date and time.

createdAt
string<date-time>

Only return Landing Pages created at exactly the specified time.

createdBefore
string<date-time>

Filter landing pages created before a specific date and time.

limit
integer<int32>

The maximum number of results to return. Default is 100.

property
string

Specifies which properties of the landing pages to include in the response.

sort
string[]

Specifies which fields to use for sorting results. Valid fields are name, createdAt, updatedAt, createdBy, updatedBy. createdAt will be used by default.

updatedAfter
string<date-time>

Only return Landing Pages last updated after the specified time.

updatedAt
string<date-time>

Only return Landing Pages last updated at exactly the specified time.

updatedBefore
string<date-time>

Only return Landing Pages last updated before the specified time.

Response

successful operation

results
object[]
required

Collection of pages.

total
integer<int32>
required

Total number of pages.

paging
object
Last modified on March 31, 2026